%bcond_with multi_language

Summary:        Guessing reasonable defaults for locale, keyboard layout, territory, and language.
Name:           langtable
Version:        0.0.58
Release:        7%{?dist}
License:        GPLv3+
URL:            https://github.com/mike-fabian/langtable
Source0:        https://github.com/mike-fabian/langtable/releases/download/%{version}/%{name}-%{version}.tar.gz

Patch5000:		5000-Remove-languages-other-than-Chinese-and-English.patch
Patch5001:		5001-Remove-traditional-chinese.patch
Patch5002:      5002-Add-new-timezone-Asia-Beijing.patch
Patch5003:      5003-Add-translations-for-some-timezone.patch

BuildRequires:  python3-devel python3-setuptools perl-interpreter

BuildArch:      noarch

%description
langtable is used to guess reasonable defaults for locale, territory, keyboard layout,  
and language, if part of that information is already known. 

%package -n python3-%{name}
Summary:        Python module to query the langtable-data
License:        GPLv3+
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{name}-data < %{version}-%{release}
Provides:       %{name}-data = %{version}-%{release}

%description -n python3-%{name}
This package contains a Python module to query the data from langtable-data.

%prep
%setup
%if %{without multi_language}
gzip -d langtable/data/*.xml.gz
%patch5000 -p1
%patch5001 -p1
%patch5002 -p1
%patch5003 -p1
gzip --force --best langtable/data/*.xml
%endif

%build
perl -pi -e "s,_DATADIR = '(.*)',_DATADIR = '%{_datadir}/langtable'," langtable/langtable.py

%py3_build

%install

%py3_install

%check
%if %{with multi_language}
(cd %{_builddir}/%{name}-%{version}/langtable; %{__python3} langtable.py)
(cd %{_builddir}/%{name}-%{version}; %{__python3} test_cases.py)
%endif
xmllint --noout --relaxng \
      %{_builddir}/%{name}-%{version}/langtable/schemas/keyboards.rng \
      %{_builddir}/%{name}-%{version}/langtable/data/keyboards.xml.gz
xmllint --noout --relaxng \
      %{_builddir}/%{name}-%{version}/langtable/schemas/languages.rng \
      %{_builddir}/%{name}-%{version}/langtable/data/languages.xml.gz
xmllint --noout --relaxng \
      %{_builddir}/%{name}-%{version}/langtable/schemas/territories.rng \
      %{_builddir}/%{name}-%{version}/langtable/data/territories.xml.gz
xmllint --noout --relaxng \
      %{_builddir}/%{name}-%{version}/langtable/schemas/timezoneidparts.rng \
      %{_builddir}/%{name}-%{version}/langtable/data/timezoneidparts.xml.gz
xmllint --noout --relaxng \
      %{_builddir}/%{name}-%{version}/langtable/schemas/timezones.rng \
      %{_builddir}/%{name}-%{version}/langtable/data/timezones.xml.gz

%files
%license COPYING unicode-license.txt
%doc README ChangeLog test_cases.py langtable/schemas/*.rng

%files -n python3-%{name}
%dir %{python3_sitelib}/langtable
%{python3_sitelib}/langtable/*
%dir %{python3_sitelib}/langtable-*.egg-info
%{python3_sitelib}/langtable-*.egg-info/*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.58-7
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.58-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.58-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.58-4
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 01 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.0.58-3
- Add new timezone Asia/Beijing
- Add translations for some timezone

* Fri Dec 16 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.0.58-2
- Remove languages other than Chinese and English
- Remove traditional chinese

* Tue Sep 6 2022 Cheng Xin <denisecheng@tencent.com> - 0.0.58-1
- package init.
